/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture.customer;

import org.nakedobjects.applib.fixtures.AbstractFixture;
import com.pragprog.dhnako.carserv.dom.customer.Title;


public class TitlesFixture extends AbstractFixture {
    public void install() {
        createTitle("Mr", "Man");
        createTitle("Mrs", "Woman");
        createTitle("Ms", "Woman");
        createTitle("Miss", "Woman");
    }
    private void createTitle(final String name, final String iconName) {
        Title title = newTransientInstance(Title.class);
        title.setName(name);
        title.setIconName(iconName);
        persist(title);
    }
}

